# NEMO BENCH COMPILATION

## Compilation steps

To compile the model is as simple a call the makenemo script with the desired 
parameters. You need to set the configuration name (`-n`) and the arch (`-m`).

````
source scripts/env-intel-mpi.sh

# COMPILE OCE ONLY:
./makenemo -n IMPI_OCE_BENCH -m mn5_gpp_intel -a BENCH -j 20 -d OCE

# COMPILE OCE+ICE:
./makenemo -n IMPI_OCE_ICE_BENCH -m mn5_gpp_intel -a BENCH -j 20 -d "OCE ICE" del_key 'key_xios key_top'

# COMPILE OCE ICE with pre-processor keys
./makenemo -n <CONFIGURATION NAME> -m <ARCH> -a BENCH -j 20 -d "OCE ICE" add_key 'bld::tool::fppkeys key_si3 key_qco' del_key 'key_vco_1d3d key_top key_RK3 key_xios'
````

## Execute the model

When the compilation finishes, under `tests/<CONFIGURATION NAME>/EXP00` you will
find the nemo binary to execute the model alongside with some pre-defined namelists
for several ORCA resolutions.

You need to softlink (or copy or rename) the desired resolution to namelist_cfg after launching
with the mpi runtime of your machine the nemo binary nemo.

The rundir can be copied with cp -r EXP00 YOUR_RUNDIR_NAME to execute them with 
different resolutions and/or node counts.

````
ln -sv namelist_cfg_orca025_like namelist_cfg
srun --qos gp_debug -N 4 --ntasks-per-node 112 ./nemo
````

