#!/bin/bash

ROOT=/gpfs/scratch/bsc32/bsc032756/EDITO_2025/nemo5
ROOT_NEMO="$ROOT/nemo5_src"
ROOT_XIOS="$ROOT/xios_2311_src"
ROOT_RUNDIR="/gpfs/scratch/bsc32/bsc032756/EDITO_2025/FINAL-IO-SCALING"

ENV_FILE=env-intel-mpi.sh
TS=360  # 5 DAYS
ICE_SCHEME="FRO RK3"
ICE_SCHEME="FRO"
NODES="4 8 12 16"
XIOS_N="1 2 4"

for XN in $XIOS_N
do
    for N in $NODES
    do
        R_NODES=$(($N + $XN))
        for I in $ICE_SCHEME
        do
            ./RUN/run_nemo.sh  \
                --nemo "${ROOT_NEMO}/cfgs/GLO-INTEL-IMPI-${I}/EXP00" \
                --xios "${ROOT_XIOS}/xios_impi/bin/xios_server.exe" \
                --rundir ${ROOT_RUNDIR}/ORCA025/IMPI-${I}-${TS}-${XN}-XIOS/$N \
                --env "${ENV_FILE}" \
                --xios_mode server-impi --xios_nodes $XN \
                --nodes $R_NODES --account bsc32 --queue gp_debug \
                --resolution ORCA025-${I}-IO --ts $TS --force
        done
    done
done